﻿@import url('_content/HCSRazorComponentLibrary/css/open-iconic/font/css/open-iconic-bootstrap.min.css');

/* roboto-regular - latin */
@font-face {
	font-family: 'Roboto';
	font-style: normal;
	font-weight: 400;
	src: local(''), url('fonts/roboto-v29-latin-regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
	url('fonts/roboto-v29-latin-regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}


html, body {
	font-family: 'Roboto';
	font-size: 14px;
	line-height: 1.5em;
	/*background-color: #EBF5FE;*/
}

	body.DarkMode {
		color: #eee;
		background-color: black;
	}

a, .btn-link {
	color: #0366d6;
}

.btn-primary {
	color: #fff;
	background-color: #1b6ec2;
	border-color: #1861ac;
}

.btn-neutral {
	color: #000000;
	background-color: #d6d5d5;
	border-color: gray;
}

app {
	position: relative;
	display: flex;
	flex-direction: column;
}

.top-row {
	height: 3.5rem;
	display: flex;
	align-items: center;
}

.LoginContainer {
	margin-bottom: 8em;
}

.main {
	flex: 1;
}

	.main .top-row {
		background-color: #f7f7f7;
		border-bottom: 1px solid #d6d5d5;
		justify-content: flex-end;
	}

		.main .top-row > a, .main .top-row .btn-link {
			white-space: nowrap;
			margin-left: 1.5rem;
		}

		.main .top-row a:first-child {
			overflow: hidden;
			text-overflow: ellipsis;
		}

.sidebar {
	border-right: inset;
}

	.sidebar .top-row {
		background-color: rgba(0,0,0,0.4);
	}

	.sidebar .navbar-brand {
		font-size: 1.1rem;
	}

	.sidebar .oi {
		width: 2rem;
		font-size: 1.1rem;
		vertical-align: text-top;
		top: -2px;
	}

	.sidebar .nav-item {
		font-size: 0.9rem;
		padding-bottom: 0.5rem;
	}

		.sidebar .nav-item:first-of-type {
			padding-top: 1rem;
		}

		.sidebar .nav-item:last-of-type {
			padding-bottom: 1rem;
		}

		.sidebar .nav-item a {
			border-radius: 4px;
			height: 3rem;
			display: flex;
			align-items: center;
			line-height: 3rem;
		}

			.sidebar .nav-item a.active {
				background-color: rgba(255,255,255,0.25);
				color: green;
			}

			.sidebar .nav-item a:hover {
				background-color: rgba(255,255,255,0.1);
				color: blue;
			}

.sidebarOffset {
}

.content {
	padding-top: 1.1rem;
}

.navbar-toggler {
	background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
	outline: 1px solid #26b050;
}

.invalid {
	outline: 1px solid red;
}

.validation-message {
	color: red;
}

#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}

	#blazor-error-ui .dismiss {
		cursor: pointer;
		position: absolute;
		right: 0.75rem;
		top: 0.5rem;
	}

.InvisibleBusyModal {
	background: none;
}

@media (max-width: 767.98px) {
	.main .top-row:not(.auth) {
		display: none;
	}

	.main .top-row.auth {
		justify-content: space-between;
	}

	.main .top-row a, .main .top-row .btn-link {
		margin-left: 0;
	}
}

@media (min-width: 768px) {
	app {
		flex-direction: row;
	}

	.sidebar {
		width: 100px;
		height: 100vh;
		position: sticky;
		top: 0;
	}

	.sidebarOffset {
		margin-left: 105px;
	}

	.main .top-row {
		position: sticky;
		top: 0;
	}

	.main > div {
		padding-left: 2rem !important;
		padding-right: 1.5rem !important;
	}

	.navbar-toggler {
		display: none;
	}

	.sidebar .collapse {
		/* Never collapse the sidebar for wide screens */
		display: block;
	}
}

.RefreshIcon {
	height: 1em;
}

.PrevNextIcon {
	height: 1em;
}



.TopMenuButton {
	margin: 0px;
	border-radius: 4px;
}


#tVisitListModal {
	height: 500px;
	overflow: auto;
}

.ListModal {
	height: 40em;
	width: 80em;
	overflow: auto;
}

.PDFViewFrame {
	width: 100%;
	height: 30em;
}

.ViewReportPage {
}

.ViewReportFrame {
	width: 100%;
	height: 80em;
}

.DocumentUploaderComponent {
	width: 100%;
}

.DocumentUploaderComponentWithImage {
	height: 80em;
}

.ViewDocumentFrame {
	width: 100%;
	height: 100%;
	min-width: 80em;
}

.FileUploaderComponent {
	width: 100%;
	height: 80em;
}

.BarcodeScanBox {
}

.PatientTabParent {
	padding: 3px;
	background-color: rgba(0, 58, 131,1);
	color: lightgray;
	text-transform: uppercase;
}

.PatientTab {
	padding: 3px;
	background-color: rgba(0, 58, 131,1);
	color: white;
	font-weight: bold;
	text-transform: uppercase;
}

	.PatientTab:hover {
		text-decoration: underline;
		cursor: pointer;
	}

.PatientTabIndented {
	padding-left: 1.25em;
	font-weight: normal;
	text-transform: none;
	border-bottom: solid;
	border-width: 1px;
	border-color: gray;
}

.PatientTabIndentedLastTab {
	border-bottom: none;
}

.OrderClassificationGroup {
	background-color: lightgray;
	font-weight: bold;
}

.OrderTile {
	margin-bottom: .25em;
	border-bottom: groove;
}

.OrderExpandedArea {
	margin-top: .5em;
}

.OrderActive {
}

.OrderDiscontinued {
	text-decoration: line-through;
}

.HighlightedField {
	font-weight: bolder;
}

.MenuButton {
	height: 32px;
	width: 32px;
}

.SideTabsContainer {
	display: flex;
	background-color: rgba(241, 247,255,1);
	padding-top: .5em;
}


.SideTabs {
	height: 100%;
	width: 14em;
	overflow-x: hidden;
	display: inline-block;
	box-shadow: 4px 4px 8px 0px rgba(0,0,0,0.2);
	border-radius: 5px;
	margin-right: 1em;
	background-color: rgba(0, 58, 131,1);
}

.PatientSideTabs {
	height: fit-content;
}

	.PatientSideTabs.StickBelowBanner {
		overflow-y: auto;
	}

	.PatientSideTabs .ExpandCollapseSwitch {
	}

.SideTabsCollapsed {
	width: 26px;
	overflow-x: visible;
	height: 30em;
}

.SideTabsCollapsed-TabName {
	transform: rotate(90deg);
	white-space: nowrap;
	text-transform: uppercase;
	font-weight: bold;
	margin-top: 1em;
	color: white;
}

.SideTabsTabArea {
	display: inline-block;
	vertical-align: top;
	width: 100%;
	border-radius: 5px;
	box-shadow: 4px 4px 8px 0px rgba(0,0,0,0.2);
	background-color: white;
}

.DarkMode .SideTabsTabArea {
	background-color: black;
}


.OrderStatus {
	border-radius: 5px;
}



.NoDisplay {
	display: none;
}

.BusyOverlay {
}

.OrderEntry-OrderComponent {
}

.OrderTimeRow {
}

.HCSTreeViewItem.Formulary {
	color: blue;
}

.HCSTreeViewItem.NonFormulary {
	font-style: italic;
}


.VisitDiagnosisCodeBox {
	display: inline;
	width: 5em;
}

.VisitDiagnosisHeaderLine {
	border-bottom: solid;
	font-weight: bold;
}

.VisitProblem {
}

.VisitProblemLine1 {
}

.VisitProblemLine2 {
	margin-left: 2em;
}

.VisitProblemLine3 {
	margin-left: 2em;
}

.VisitProblemHeaderLine {
	border-bottom: solid;
	font-weight: bold;
}

.VisitProblemTextBox {
}

.VisitProblemHeaderLine .col-1 {
	overflow: clip;
}

.VisitProblemHeaderLine .col-2 {
	overflow: clip;
}

.VisitProblemStatusBox {
	display: inline;
	width: 7em;
}



.VisitProblemLevelOfCareBox {
	display: inline;
	width: 7em;
}

.VisitProblemCodeBox {
	display: inline;
	width: 5em;
}

.VisitProblemCodeBrowse {
	word-wrap: break-word;
}

.PatientAllergy {
}

.PatientAllergyInactive {
	color: gray;
	text-decoration: line-through;
}

.PatientAllergyHeaderLine {
	border-bottom: solid;
	font-weight: bold;
}

.PatientAllergyActiveBox {
	display: inline;
}

.PatientAllergySearchBox {
	display: inline;
	width: 10em;
}

.PatientAllergyTypeBox {
	display: inline;
	width: 7em;
}

.PatientAllergyReactionBox {
	display: inline;
	width: 7em;
}

.PatientAllergySeverityBox {
	display: inline;
	width: 7em;
}

.PatientAllergyCommentsBox {
	display: inline;
	width: 10em;
}

.RuleMessageBox {
	max-height: 20em;
	overflow-y: scroll;
}

.PatientStatusBoardFilterButton {
}


.form-group {
	padding: 0.3em;
}

.ProximityIcon {
}

.ProximityIconInTile {
	position: absolute;
	left: 0px;
}

.AssignProximityDeviceLine {
	margin: .5em 0 .5em 0;
}

.OrderEntryGroup {
	padding: 0em;
	margin-bottom: .2em;
}

.SelectPatientListLabel {
	font-weight: bold;
}

.PatientBasedDateTimeTypeSelectBox {
	width: 8em;
}

.OrderSetAncillaryOrderSelectionModalDiv {
	max-height: 30em;
	overflow-y: scroll;
}

.RequiredHighlight {
	background-color: yellow;
}

.UserDefinedFieldComponent > .form-control {
	display: inline-table;
}

.UserDefinedFieldComponentRequired {
	background-color: yellow;
}

.UserDefinedFieldListText {
	font-weight: bold;
}

.ProblemsAndOrdersComponentProblemCategoryItem {
	font-weight: bold;
}

.ProblemsAndOrdersComponentProblemItem {
	font-weight: bold;
}

.SignatureCanvas {
	border: 1px gray solid;
}


.MenuHiddenReason {
	color: gray;
}

.ShowHiddenMenuItems {
	color: gray;
}

.OrderInfoTextBox {
	width: 70%;
	height: 6em;
}

.OrderInfoModalForm {
	width: var(--orderinfomaxwidth);
}

.OrderInfoUserDefinedFields {
	max-height: 6em;
	overflow-y: scroll;
	max-width: 100%;
}

.OrderInfoTabPagesDiv {
	max-height: 24em;
	overflow-y: scroll;
}

.AdminInfoModalForm {
	width: 65em;
}

.AdminInfoCommentSection {
	max-width: 100%;
	max-height: 6em;
	overflow-y: scroll;
}

.AdminInfoUserDefinedFields {
	max-height: 6em;
	overflow-y: scroll;
	max-width: 100%;
}

.AdminInfoTabPagesDiv {
	max-height: 24em;
	overflow-y: scroll;
}

.AdminTimeOfDayListText {
	display: inline;
	width: calc(100% - 4em);
}

.AdmintTimeOfDayListPlusButton {
	width: 1.5em;
	margin-right: 0px;
}

.AdmintTimeOfDayListMinusButton {
	width: 1.5em;
	margin-left: 0px;
}

.OrderClarificationMessage {
	width: 50em;
}

.OrderClarificationResponseMessage {
	width: 50em;
}

.PatientInfoPatientHeader {
	border-bottom: solid;
	width: 100%;
}

.PatientInfoVisitHeader {
	border-bottom: solid;
	width: 100%;
}

.MergeMultiplePatientsSurvivorText {
	font-weight: bold;
}


.ViewReportPage .ReportViewerCrystalFrame {
	width: 100%;
}

.LogInPageWarning {
	color: darkred;
	animation: blinker;
	animation-duration: 2s;
	animation-iteration-count: 3;
}

#LoginWarningID {
	font-size: 10px;
	max-height: 48px;
	overflow: auto;
	line-height: 10px;
}

@keyframes blinker {
	50% {
		opacity: .2;
	}
}



.LocationPCUBox {
	display: inline;
	width: 5em;
}

.OrderSetSelectOrderPageHeader {
	position: sticky;
	top: 0;
	background-color: white;
	border-bottom: solid;
	z-index: 2;
}

.OrderSetSelectOrderLists {
}

.CareRoleBannerButton {
}

.DataEntrySection {
	border: solid;
	border-radius: 4px;
	padding: .5em;
}

.DataEntrySectionHeader {
	font-size: larger;
}

.DataEntrySubSection {
	border: solid;
	border-color: lightgray;
	border-radius: 4px;
	padding: .5em;
}

.DataEntrySubSectionHeader {
}

.BrowsePatientVisitSection {
	border: dashed;
	padding: .5em;
	opacity: .75;
	border-color: gray;
	border-radius: 4px;
}

.BrowsePatientVisitHeader {
	font-weight: bold;
	font-size: 2em;
	width: 100%;
	text-align: center;
	margin-bottom: .5em;
}

.BrowsePatientVisitHeaderDates {
	margin-left: 2em;
}

.BrowseButton {
}

.CloseBrowseButton {
	margin-top: 2em;
	width: 100%;
	margin-bottom: .5em;
}

.BrowsePatientVisitSection .SideTabs {
	background-color: darkslategray;
}

.BrowsePatientVisitSection .PatientTab {
	background-color: darkslategray;
}

.BrowsePatientVisitSection .PatientTabParent {
	background-color: darkslategray;
}


.ToastMessageInfo {
	color: black;
	background-color: blanchedalmond;
}

.ToastMessageWarning {
	color: black;
	background-color: yellow;
}

.ToastMessageError {
	color: black;
	background-color: red;
}

.blazored-toast-container {
	z-index: 99999;
}

.ChargeRejected {
	color: red;
}

.PatientVisitListSelectionBox {
	display: inline;
	width: 25em;
}

.LocationShowAssignedLocationsItems {
	color: green !important;
}


.OrdersSortBox {
	display: inline;
	width: 10em;
	margin-right: 0px;
}

.SmallButton {
	font-size: .75em;
	border-radius: 4px;
	padding: 1px;
}

.OrderSelectionModalOrderDiv {
	min-width: 30em;
}

.OrderSetSelectOrderLists .OrderTile {
	margin-left: 2em;
}

.HoverText {
	position: absolute;
	display: inline;
	visibility: hidden;
	transition: visibility .5s;
	transition-delay: .5s;
	background-color: antiquewhite;
	color: black;
	border: solid;
	border-width: 1px;
	border-color: gray;
	border-radius: 4px;
	padding: .5em;
	margin-left: .5em;
	box-shadow: 8px 8px 16px 0px rgba(0,0,0,0.2);
	width: max-content;
	z-index: 999;
}

.HoverTextItem:hover + .HoverText {
	visibility: visible;
}

.HoverTextSpan:hover .HoverText {
	visibility: visible;
}

.ShowHoverText .HoverText {
	visibility: visible;
}

.ShowHoverTextButton {
	background-color: antiquewhite;
	border: solid;
	border-width: 1px;
	border-color: gray;
	border-radius: 4px;
}

.HoverTextLocationHistory {
	position: absolute;
	right: 0;
	display: inline;
	visibility: hidden;
	transition: visibility .5s;
	transition-delay: .5s;
	background-color: antiquewhite;
	color: black;
	border: solid;
	border-width: 1px;
	border-color: gray;
	border-radius: 4px;
	padding: .5em;
	margin-left: -2em;
	box-shadow: 8px 8px 16px 0px rgba(0,0,0,0.2);
	width: 40em;
	z-index: 999;
	font-size: .8em;
	line-height: 1em;
}

.HoverTextItem:hover + .HoverTextLocationHistory {
	visibility: visible;
}

.HoverTextSpan:hover .HoverTextLocationHistory {
	visibility: visible;
}

.TransferHistoryItem {
	display: contents;
}

.ClearSignatureButton {
	background-color: aqua;
}

.ErrorPageMessage {
	font-weight: bold;
}

.ErrorPageError {
	margin-top: 1em;
	margin-bottom: 1em;
}

.ErrorPageStackTrace {
	font-size: smaller;
}

.StickBelowBanner {
	position: sticky;
	top: 0em;
	z-index: 3;
	background: rgba(255, 255, 255, 0.8);
}

.blazored-modal-content .StickBelowBanner {
	position: static;
}

.blazored-modal-header {
	padding-bottom: 1em;
	padding-top: 2em;
	margin-top: -2em;
}


.ESignButton {
	background-color: green;
}


.InventoryMnemoBox {
	overflow-wrap: break-word;
}

.Calculating {
	color: gray;
}

.Italics {
	font-style: italic;
}


.MenuEffectUnknown {
}

.MenuEffectNoChange::after {
	content: " 🗏";
}

.MenuEffectPromptBeforeChange::after {
	content: " ...";
}

.MenuEffectImmediateChange::after {
	content: " →";
}

.MenuItemProcessing {
	background-color: deepskyblue;
}


.MenuItem {
	padding: .1em;
	background-color: whitesmoke;
	border: solid;
	border-width: 1px;
	border-color: lightgray;
	margin-bottom: .2em;
	border-radius: 5px;
}

.MenuSeparator {
	display: block;
	margin-top: .5em;
	margin-bottom: .5em;
	background-color: gray;
	height: .1em;
	width: 100%;
}

.blazored-sub-menu-header span {
	display: inline-block;
	padding: .2em;
	padding-right: .4em;
	background-color: lightgray;
	border: solid;
	border-width: 1px;
	border-color: lightgray;
	border-radius: 5px;
	margin-bottom: .2em;
	width: 100%;
}

.blazored-sub-menu-header {
	font-weight: bold;
}

.blazored-sub-menu {
	font-weight: normal;
}

.blazored-menu li a {
	padding: .2em;
}

.DarkMode .blazored-menu {
	color: #212529;
}

.blazored-modal {
	max-width: calc(100% - 2rem);
	max-height: calc(100% - 2rem);
	box-shadow: 5px 5px 15px 0 rgba(0, 0, 0, 0.3);
	--orderinfomaxwidth: 65em;
}

	.blazored-modal:has(.toggle__fullscreen:checked) {
		max-width: 100%;
		max-height: 100%;
		position: fixed;
		left: 0;
		right: 0;
		top: 0;
		bottom: 0;
		--orderinfomaxwidth: 100%;
	}

.DarkMode .blazored-modal {
	color: #212529;
}

.blazored-modal-overlay {
	background-color: unset;
}

.ModalOverlayLevel1 {
	background-color: rgba(0,0,0,.25);
}

.BusyOverlayLevel0 {
	background-color: rgba(0,0,0,.25);
}

.PageTitle {
	text-align: center;
	font-size: 2em;
}

.SubMenu {
	font-weight: bold;
}

.SubMenuCloseIcon {
	padding-left: .2em;
	display: contents;
}

	.SubMenuCloseIcon::after {
		content: " >";
		float: right;
	}

.SubMenuOpenIcon {
	padding-left: .2em;
	display: contents;
}

	.SubMenuOpenIcon::after {
		content: " >";
		float: right;
	}

.Separator {
	margin-top: .5em;
	margin-bottom: .5em;
	background-color: black;
	height: .5em;
	width: 100%;
}

.ToolStripButton {
	border-radius: 3px;
}

.ToolStripButtonWithImage {
	border: 0px;
	padding: 0px;
}

.ToolStripButtonImage {
	max-width: 32px;
	max-height: 32px;
}

.PatientVisitTile {
	width: 12.8em;
	position: relative;
	cursor: pointer;
}

@media (max-width:400px) {
	.PatientVisitTile {
		width: 155px;
	}
}



.ReportViewerCrystalFrame {
	width: 90vw;
	height: 85vh;
}


.ObservationGroupSectionLabel {
	font-size: 18px;
	font-weight: bold;
	width: 100%;
	border-bottom: solid;
	margin-top: 1em;
}

.ObservationGroupTableHeader {
	font-size: 18px;
	font-weight: bold;
}

.ObservationGroupTableHeaderHighlight {
	background-color: yellow;
}

.ObservationGroupLine {
}

.ObservationGroupLineWithMultipleItems {
	display: flex;
	white-space: nowrap;
}

.ObservationGroupItem {
}

.ObservationGroupItemLabel {
	display: inline-block;
	width: 15em;
	font-weight: bold;
	text-align: right;
	vertical-align: top;
	margin-right: .2em;
	white-space: normal;
}

.DarkMode .ObservationGroupItemLabel {
	color: darkgray;
}

@media (max-width:800px) {
	.ObservationGroupItemLabel {
		display: inline-block;
		width: 10em;
	}
}

.ObservationGroupItemBlankRequiredHighlight {
	background-color: yellow;
}

.ObservationGroupItemLabelNotRequired {
	color: gray;
}





.ObservationGroupPagesContainer {
}

.ObservationGroupLineWithMultipleItems .VisitObservationNotesBox {
	width: 20em;
}

.ObservationGroupLineWithMultipleItems .VisitObservationGroupItem + .VisitObservationGroupItem {
	margin-left: 2em;
}

.ObservationGroupItemMessageButton {
	margin-right: .5em;
	width: 1em;
	border-radius: 5px;
	color: dodgerblue;
	padding-left: .1em;
	padding-right: .1em;
	border: solid;
	border-color: lightgray;
	background-color: white;
	cursor: pointer;
}

.ObservationGroupItemMessageButtonPlaceHolder {
	width: 1em;
	margin-right: .5em;
	display: inline-block;
}

.VisitObservationComponent {
	display: inline-block;
	width: calc(100% - 17em);
}

.VisitObservationSearchHighlight {
	background-color: #00FF00;
}

.VisitObservationMissingHighlight {
	background-color: yellow;
}

.VisitObservationDataHidden {
	color: gray;
}

.VisitObservationSiteBox {
	display: inline-block;
	max-width: 12em;
	margin-left: 2em;
}

markup {
	background: #87ff00;
}

.FakeInput {
	background: #ffffff;
	border: 1px solid #808080;
	border-radius: 3px;
	margin: 2px;
}

.ObservationVisitSearchAssessmentModal {
	width: 70vw;
}

	.ObservationVisitSearchAssessmentModal > div {
		padding: 3px;
	}

		.ObservationVisitSearchAssessmentModal > div:nth-of-type(odd) {
			background: #e0e0e0;
		}

.VisitObservationSimpleComponent {
	width: 100%;
}


@media only screen and (max-device-width: 1024px) and (-webkit-min-device-pixel-ratio: 2) and (orientation: portrait) {
	.VisitObservationComponent {
		display: contents;
		width: calc(100% - 12em);
	}

	.ObservationGroupLineWithMultipleItems {
		display: contents;
	}

	.ObservationGroupItemColumns4, .ObservationGroupItemColumns5, .ObservationGroupItemColumns6 {
		display: block;
	}

		.ObservationGroupItemColumns4 ~ .VisitObservationComponent {
			width: 100%;
		}

		.ObservationGroupItemColumns5 ~ .VisitObservationComponent {
			width: 100%;
		}

		.ObservationGroupItemColumns6 ~ .VisitObservationComponent {
			width: 100%;
		}
}

.ObservationGroupLineWithMultipleItems .VisitObservationComponent {
	width: unset;
}

.VisitObservationTextBox {
	display: inline-block;
	width: 50em;
}

td .VisitObservationTextBox {
	width: 100%;
}

@media (max-width:480px) {
	.VisitObservationComponent {
		width: 100%;
	}

	.VisitObservationTextBox {
		display: block;
		width: 100%;
	}
}

@media (max-width:800px) {
	.VisitObservationTextBox {
		display: inline-block;
		width: 30em;
	}
}

.ObservationGroupLineWithMultipleItems .VisitObservationTextBox {
	width: 20em;
}

td .VisitObservationComponent {
	width: 100%;
}


.VisitObservationNotesBox {
	margin-top: .5em;
	height: 1.5em;
	width: 45em;
	display: inline-block;
}

@media (max-width:800px) {
	.VisitObservationNotesBox {
		display: inline-block;
		width: 25em;
	}
}

.VisitObservationNotesBoxBlankRequiredHighlight {
	background-color: yellow;
}


.VisitObservationNotesArea .col-form-label {
	vertical-align: bottom;
}

.VisitObservationNotesBox.form-control {
	height: 1.5em;
}

.VisitObservationListTableMultiSelectDiv {
}

.VisitObservationAddendumLabel {
	font-weight: bold;
}

.VisitObservationLastObservation {
	margin-left: 2em;
}

.VisitObservationLastObservationTime {
	color: gray;
	margin-left: .5em;
}

.VisitObservationLastObservationSite {
	margin-left: 1em;
}

.VisitObservationLastObservationNoValue {
	color: gray;
}

.VisitObservationCopyLastButton {
	margin-left: 1em;
}

.VisitObservationUseLastBox {
	margin-left: 1em;
}

.ListTableMultiSelectRowDiv {
	width: 50em;
	margin-left: 0;
}

.ListTableMultiSelectCheckBox {
	white-space: normal;
	width: 25em;
}

.ListTableMultiSelectEmptyColumn {
	width: 25em;
}

@media (max-width:400px) {
	.ListTableMultiSelectRowDiv {
		width: 25em;
	}
}

@media (pointer:coarse) {
	.ListTableMultiSelectCheckBox {
		line-height: 3em;
	}
}

.VisitObservationGroupSpecialBrowse {
	min-height: 5em !important;
	font-family: Courier New, Courier, monospace;
}

.VisitObservationFormula {
	font-weight: bold;
}

.VisitObservationGroupValueCondition {
}

.ModalWithinAModalWarning {
	border-style: outset;
	border-color: darkgoldenrod;
}

@media (max-width:400px) {
	.VisitObservationGroupValueCondition {
	}
}

.hidden {
	display: none !important;
}

.mark {
	background-color: greenyellow;
	display: block !important;
	height: unset;
	min-height: 30px;
	border-radius: 5px;
}


#ReconnectModal {
	position: fixed;
	inset: 0px;
	z-index: 1050;
	display: none;
	overflow: auto;
	background-color: rgb(255, 255, 255);
	opacity: 0.8;
	transition: visibility 0s linear 500ms;
	top: 10%;
	left: 10%;
	bottom: 10%;
	right: 10%;
	border: 2px red solid;
	text-align: center;
	font-weight: bold;
	font-size: 24px;
	border-radius: 30px;
}

.ReconnectDetail {
	display: none;
}

.ReconnectDetail {
	background-color: white;
	opacity: 0.9;
	padding: 15px;
}

#debugDiv {
	text-align: left;
	--max-height: 250px;
	--overflow: auto;
}

#ReconnectAttemptMessage {
	opacity: 1;
	background-color: white;
	font-size: 2em;
	color: red;
	position: absolute;
	top: 50%;
	width: 100%;
	transform: translateY(-50%);
}

#ReconnectReloadButton {
	margin-top: 1em;
	border-radius: 4px;
	display: none;
	opacity: 1;
}


.ProductLevelName {
	font-weight: bold;
}

.ProductLevelDescription {
	color: gray;
	font-size: small;
	font-style: italic;
}

.ActiveSearchComponent .HCSSelectableItem {
	display: inline-block;
	/*border: 1px solid red;*/
	margin-top: 1px;
	padding: 3px;
	/*background: rgba(250,250,250,1);*/
	min-width: 450px;
	/*max-height: 50px;*/
}

@keyframes fadeIn {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

.DontShowMenu {
	display: none;
}


.AllergyThatCannotBeChecked {
	padding: 4px;
	background-color: yellow;
	font-weight: 700;
}

.ListViewHideInputBorder input:focus {
	border-color: lightgray;
	box-shadow: none !important;
	outline: none !important;
	outline-width: 0 !important;
}

.ColorTextBox .ActiveSearchComponent {
	--width: 100%;
}

.ColorTextBox .TextBoxAsText {
	display: flex;
	padding: .5em;
	padding-right: 3em;
	min-width: 10em;
}

.ObservationValueChecked {
	display: inline-block;
	width: 10px;
	height: 10px;
	border: 1px solid black;
	background-color: blue;
	border-radius: 3px;
}

.MainPage {
	display: flex;
	flex-direction: column;
	overflow: hidden;
}

.CompactSide {
	height: calc(100vh - 20px);
}

.SideTabsContainer {
	display: flex;
	flex-direction: row;
	height: fit-content;
	justify-content: flex-start;
	overflow: hidden;
	--width: calc(100vw - 50px);
}

	.SideTabsContainer .SideTabs {
		overflow-y: auto;
		height: 100%;
	}

	.SideTabsContainer .SideTabsTabArea {
		overflow: auto;
		height: 100%;
	}

app {
	overflow: hidden;
	min-height: 100vh;
}

	app .content {
		min-height: 100vh;
		width: 100vw;
	}

.ActionDiv {
	display: inline-block;
	min-width: 100%;
}




.toggle {
	--width: 20px;
	--height: 20px;
	--border-radius: calc(var(--height) / 2);
	display: flex;
	cursor: pointer;
	justify-content: center;
	align-items: center;
	float: left;
	margin: 0.2em;
}

.toggle__fullscreen {
	display: none;
}

.toggle__fill {
	display: inline-block;
	position: relative;
	width: var(--width);
	--margin-left: 20px;
	height: var(--height);
	--border-radius: var(--border-radius);
	--background: #dddddd;
	transition: background 0.2s;
	margin-top: 3px;
	background-image: url(/_content/HCSRazorComponentLibrary/images/maximize.png);
	background-size: 20px 20px;
}

	.toggle__fill::after {
		content: "";
		position: absolute;
		top: 0;
		height: var(--height);
		width: var(--width);
		--background: #ffffff;
		--box-shadow: 0 0 10px rgba(0, 0, 0, 0.25);
		--border-radius: var(--border-radius);
		border: 0px solid black;
		transition: transform 0.2s;
	}

.toggle__fullscreen:checked ~ .toggle__fill {
	--height: 20px;
	background-image: url(/_content/HCSRazorComponentLibrary/images/minimize.png);
	background-size: 20px 20px;
	--background: #000078;
}

	.toggle__fullscreen:checked ~ .toggle__fill::after {
		--transform: translateX(var(--height));
	}


.opacity-50 {
	opacity: .5;
}

.inactiveElement {
	text-decoration: line-through !important;
	background: red !important;
}
